/*
 * 文 件 名:  Holiday
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/6/9
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 节假日配置
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/6/9]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Configuration
public class DateAttrConfig {
    @Value("${general-data.api-key}")
    private String apiKey;

    @Value("${general-data.date.api-addr}")
    private String apiAddr;

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public String getApiAddr() {
        return apiAddr;
    }

    public void setApiAddr(String apiAddr) {
        this.apiAddr = apiAddr;
    }
}